<?xml version="1.0" encoding="UTF-8"?>
<WebLink xmlns="http://soap.sforce.com/2006/04/metadata">
    <fullName>Get_Verizon_Token</fullName>
    <availability>online</availability>
    <displayType>button</displayType>
    <linkType>javascript</linkType>
    <masterLabel>Get Verizon Token</masterLabel>
    <openType>onClickJavaScript</openType>
    <protected>false</protected>
    <url>{!REQUIRESCRIPT(&quot;/soap/ajax/13.0/connection.js&quot;)}

var SBEObj = new sforce.SObject(&quot;Smartbox__c&quot;);
SBEObj.Id = &apos;{!Smartbox__c.Id}&apos;;
SBEObj.Verizon_Do_It_Get_M2M_Token__c = &apos;true&apos;;

var result = sforce.connection.update([SBEObj]);


if (result[0].success==&apos;false&apos;) {
alert(result[0].errors.message);
} else {
location.reload(true);
}</url>
</WebLink>
